Change log for mapcache package in Ubuntu

124 of 24 results
Published in eoan-release on 2019-07-25
Deleted in eoan-proposed (Reason: moved to release)
mapcache (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Change license shortname from MIT to Expat
    - Update copyright years for Regents of the University of Minnesota
    - Add license & copyright for cJSON sources
  * Drop spelling-errors.patch, applied upstream. Refresh remaining patch.
  * Add manpage for mapcache_detail.
  * Update docs for README rename.
  * Update symbols for amd64.

 -- Bas Couwenberg <email address hidden>  Thu, 25 Jul 2019 05:59:55 +0200

Available diffs

Superseded in eoan-release on 2019-07-25
Deleted in eoan-proposed on 2019-07-27 (Reason: moved to release)
mapcache (1.6.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Remove package name from lintian overrides.
  * Append -DNDEBUG to CFLAGS to remove buildpath from binaries.
  * Add lintian override for file-references-package-build-path.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <email address hidden>  Thu, 11 Jul 2019 17:28:12 +0200

Available diffs

Superseded in eoan-release on 2019-07-12
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-08-01
Deleted in cosmic-proposed (Reason: moved to release)
mapcache (1.6.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <email address hidden>  Tue, 31 Jul 2018 21:08:36 +0200

Available diffs

Superseded in cosmic-release on 2018-08-01
Deleted in cosmic-proposed on 2018-08-02 (Reason: moved to release)
mapcache (1.6.1-2) unstable; urgency=medium

  * Drop libproj-dev build dependency, not directly required and already
    pulled in via libgdal-dev.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from rules file.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <email address hidden>  Fri, 20 Jul 2018 18:45:30 +0200

Available diffs

Superseded in cosmic-release on 2018-07-21
Published in bionic-release on 2017-11-02
Deleted in bionic-proposed (Reason: moved to release)
mapcache (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Drop spelling-errors.patch, applied upstream.
  * Change section for libapache2-mod-mapcache to httpd.
  * Update symbols for 1.6.1.

 -- Bas Couwenberg <email address hidden>  Sat, 30 Sep 2017 09:25:05 +0200

Available diffs

Superseded in bionic-release on 2017-11-02
Published in artful-release on 2017-06-19
Deleted in artful-proposed (Reason: moved to release)
mapcache (1.6.0-2) unstable; urgency=medium

  * Update symbols for other architecture.
  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden>  Sun, 18 Jun 2017 13:25:52 +0200
Superseded in artful-release on 2017-06-19
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
mapcache (1.4.1-3build1) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <email address hidden>  Thu, 14 Jul 2016 16:11:50 +0200
Superseded in yakkety-release on 2016-07-14
Deleted in yakkety-proposed on 2016-07-15 (Reason: moved to release)
mapcache (1.4.1-3) unstable; urgency=medium

  * Update symbols for hurd-i386.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop libmapcache2 post{inst,rm}, rely on dpkg-triggers for ldconfig.

 -- Bas Couwenberg <email address hidden>  Thu, 05 May 2016 11:40:45 +0200
Superseded in yakkety-release on 2016-05-05
Deleted in yakkety-proposed on 2016-05-07 (Reason: moved to release)
mapcache (1.4.1-2build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Fri, 29 Apr 2016 14:11:06 +0000
Superseded in yakkety-release on 2016-04-27
Deleted in yakkety-proposed on 2016-04-28 (Reason: moved to release)
mapcache (1.4.0-4build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:14:41 +0000
Superseded in yakkety-release on 2016-05-05
Deleted in yakkety-proposed on 2016-05-06 (Reason: moved to release)
mapcache (1.4.1-2) unstable; urgency=medium

  * Disable memcache support on hurd-i386 too.
  * Update symbols for other architectures.

 -- Bas Couwenberg <email address hidden>  Fri, 26 Feb 2016 09:46:50 +0100
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2015-10-25
Deleted in xenial-proposed (Reason: moved to release)
mapcache (1.4.0-4) unstable; urgency=medium

  * Update watch file to use lowercase RC in uversionmangle.
  * Rebuild for geos transition.

 -- Bas Couwenberg <email address hidden>  Sat, 29 Aug 2015 14:15:23 +0200

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
mapcache (1.4.0-3) unstable; urgency=medium

  * Disable memcache support on architectures where it's not supported.

 -- Bas Couwenberg <email address hidden>  Tue, 25 Aug 2015 19:22:22 +0200
Superseded in wily-proposed on 2015-08-29
mapcache (1.4.0-1build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <email address hidden>  Sun, 23 Aug 2015 01:19:21 +0000

Available diffs

Superseded in wily-release on 2015-08-31
Deleted in wily-proposed on 2015-09-02 (Reason: moved to release)
mapcache (1.4.0-1build1) wily; urgency=medium

  * No-change rebuild against libgeos-c1v5

 -- Martin Pitt <email address hidden>  Wed, 12 Aug 2015 11:56:26 +0200
Superseded in wily-release on 2015-08-17
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
mapcache (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden>  Fri, 31 Jul 2015 00:32:07 +0200

Available diffs

Superseded in wily-release on 2015-08-02
Deleted in wily-proposed on 2015-08-03 (Reason: moved to release)
mapcache (1.2.1-4) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden>  Sat, 25 Jul 2015 13:41:00 +0200

Available diffs

Superseded in wily-release on 2015-07-27
Deleted in wily-proposed on 2015-07-28 (Reason: moved to release)
mapcache (1.2.1-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update Source URL for GitHub in copyright file.
  * Update Homepage URL, strip en/ from path.
  * Set the date embedded in man pages to the build date for
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to @debian.org address.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update copyright file, changes:
    - Convert copyright file from iso-8859-1 to utf8
    - Update copyright years
    - Drop unused files paragraph for ltmain.sh
  * Drop lintian override for no-upstream-changelog,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <email address hidden>  Mon, 27 Apr 2015 12:11:00 +0200
Superseded in wily-release on 2015-05-08
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
mapcache (1.2.1-2build1) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.
 -- Adam Conrad <email address hidden>   Wed, 18 Mar 2015 01:05:45 -0600
Superseded in vivid-release on 2015-03-19
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-03-04
Deleted in trusty-proposed (Reason: moved to release)
mapcache (1.2.1-2) unstable; urgency=low


  * Add gpb.conf to use pristine-tar by default.
  * Use dh commands instead of CMake directly.
  * Enable parallel builds.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Don't create /var/cache/mapcache in postinst,
    use libapache2-mod-mapcache.dirs instead.
    (closes: #740327)
  * Also remove generated man pages on clean.

 -- Bas Couwenberg <email address hidden>  Fri, 28 Feb 2014 17:55:13 +0100

Available diffs

Superseded in trusty-release on 2014-03-04
Deleted in trusty-proposed on 2014-03-05 (Reason: moved to release)
mapcache (1.2.1-1) unstable; urgency=low


  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Drop soname.patch, applied upstream.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Add lintian override for no-upstream-changelog, no changes in source.

 -- Bas Couwenberg <email address hidden>  Fri, 03 Jan 2014 17:30:18 +0100

Available diffs

Superseded in trusty-release on 2014-01-04
Deleted in trusty-proposed on 2014-01-05 (Reason: moved to release)
mapcache (1.2.0-2) unstable; urgency=low


  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Changed to libgdal-dev b-d.

 -- Francesco Paolo Lovergine <email address hidden>  Thu, 12 Dec 2013 17:08:16 +0100
Superseded in trusty-proposed on 2013-12-12
mapcache (1.2.0-1build1) trusty; urgency=low

  * No-change rebuild for libgdal1 -> libgdal1h transition.
 -- Logan Rosen <email address hidden>   Thu, 12 Dec 2013 01:36:27 -0500
Superseded in trusty-release on 2013-12-31
Deleted in trusty-proposed on 2014-01-01 (Reason: moved to release)
mapcache (1.2.0-1) unstable; urgency=low


  * New upstream release 1.2.0. (closes: #712377)
  * Update watch file for github releases.
  * Build system changed from autotools to cmake.
  * Drop patches:
    - includepath.patch (no longer required)
    - fixwithmapserv.patch (libtool no longer used)
    - libmapcache_hardening.patch (libtool no longer used)
    - demo_service_js_typos.patch (applied upstream)
    - demo_service_valid_js_var.patch (applied upstream)
    - demo_service_html5_doctype.patch (applied upstream)
    - demo_service_html_charset.patch (applied upstream)
    - demo_service_list_newlines.patch (applied upstream)
    - demo_service_page_height.patch (applied upstream)
    - demo_service_indenting.patch (applied upstream)
    - mapcache_seed_non_zero_exit.patch (applied upstream)
    - mapcache_seed_delete_mode.patch (applied upstream)
    - mapcache_seed_typo.patch (applied upstream)
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
  * Add patch to use a versioned SONAME.
  * SONAME of libmapcache changed from libmapcache.so.0 to
    libmapcache.so.1.
  * Update libmapcache symbols for 1.2.0 on amd64.
  * Enable verbose make output.
  * Call ldconfig in libmapcache postinst and postrm.
  * Update libmapserver dependency for MapServer 6.4.0.
  * Add patch to include mapserver cmake package.
  * Build-Depend on libtiff-dev for libtiff5 transition.

 -- Bas Couwenberg <email address hidden>  Wed, 11 Sep 2013 19:16:06 +0200
124 of 24 results